VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Public Attributes | List of all members
CDrawContext::Impl::State Struct Reference

## Public Member Functions
| State ()=default
| State (const State &state)
State & | operator= (const State &state)=default
| State (State &&state) noexcept
State & | operator= (State &&state) noexcept

## Public Attributes
SharedPointer< CFontDesc > | font
CColor | frameColor {kTransparentCColor}
CColor | fillColor {kTransparentCColor}
CColor | fontColor {kTransparentCColor}
CCoord | frameWidth {0.}
CPoint | penLoc {}
CRect | clipRect {}
CLineStyle | lineStyle {kLineOnOffDash}
CDrawMode | drawMode {kAntiAliasing}
float | globalAlpha {1.f}
BitmapInterpolationQuality | bitmapQuality {BitmapInterpolationQuality::kDefault}

## Constructor & Destructor Documentation

State | ( |  | ) |
| default

State | ( | const State & | state | ) |

State | ( | State && | state | ) |
| noexcept

## Member Function Documentation

State& operator= | ( | const State & | state | ) |
| default

CDrawContext::Impl::State & operator= | ( | State && | state | ) |
| noexcept

## Member Data Documentation

BitmapInterpolationQuality bitmapQuality {BitmapInterpolationQuality::kDefault}

CRect clipRect {}

CDrawMode drawMode {kAntiAliasing}

CColor fillColor {kTransparentCColor}

SharedPointer<CFontDesc> font

CColor fontColor {kTransparentCColor}

CColor frameColor {kTransparentCColor}

CCoord frameWidth {0.}

float globalAlpha {1.f}

CLineStyle lineStyle {kLineOnOffDash}

CPoint penLoc {}

The documentation for this struct was generated from the following file:

- cdrawcontext.cpp